Bug 971115 - Review Request: mingw-lzma-sdk457 - SDK for lzma compression
Review Request: mingw-lzma-sdk457 - SDK for lzma compression
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Erik van Pienbroek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-05 13:52 EDT by Marcel Wysocki
Modified: 2014-01-14 04:56 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-14 04:56:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
erik-fedora: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description Marcel Wysocki 2013-06-05 13:52:32 EDT
Spec URL: http://maci.satgnu.net/rpmbuild/SPECS/mingw-lzma-sdk457.spec
SRPM URL: http://maci.satgnu.net/rpmbuild/SRPMS/mingw-lzma-sdk457-4.57-1.fc19.src.rpm
Description: LZMA SDK provides the documentation, samples, header files, libraries,
and tools you need to develop applications that use LZMA compression.
Fedora Account System Username: maci
Comment 1 Marcel Wysocki 2013-06-06 10:34:27 EDT
Update:

* Thu Jun 06 2013 Marcel Wysocki <maci@satgnu.net> - 4.57-2
- add rsync build dep
- add missing g++ build dep

Spec URL: http://maci.satgnu.net/rpmbuild/SPECS/mingw-lzma-sdk457.spec
SRPM URL: http://maci.satgnu.net/rpmbuild/SRPMS/mingw-lzma-sdk457-4.57-2.fc19.src.rpm
Koji URL: http://koji.fedoraproject.org/koji/taskinfo?taskID=5475998
Comment 2 Erik van Pienbroek 2013-08-03 16:16:55 EDT
Taking for review

* You shouldn't replace license texts. If rpmlint indicates that the license contains an invalid FSF address you should file a bug upstream and leave the current license as is (the rpmlint warning can be ignored in that situation)
* Is it really necessary to manually change the character encoding of various files (some of which aren't even used in the mingw build like the .sln and .csproj files) ?
* The %post and %postun triggers aren't needed for mingw packages
* This package lacks .dll.a files (which are import libraries). These files are really necessary if you want binaries to be able to link against this library
Comment 3 Marcel Wysocki 2014-01-14 04:56:04 EST
this will never work properly, its old and everything.
xz implements lzma

Note You need to log in before you can comment on or make changes to this bug.